body {
    background-color: black;
}
#eventCarousel .carousel-inner .carousel-item img {
    border-radius: 1em;
    border: 1px solid #fff;
}
header h1 {
    color: black;
}
header h1 a {
    text-decoration: none;
    color: black;
}
div.event-list div.card .card-title {
    min-height: 2.5em;
}
div.event-list div.card div.card-body div.card-body-content {
    height: 14.5em;
    overflow-y: auto;
}


div#event-detail {
    background-color: white;
    border-radius: 1em;
    padding: 2em;
}

div.event-detail-image img  {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}
@media (max-width: 990px) {
    div.event-list div.card div.card-body div.card-body-content {
        height: 10em !important;
    }
    div.event-list div.card div.card-body div.card-body-content div.anotace {
        display: none !important;
    }
}

a.svg_a {
    text-decoration: none;
}

.content-img-responsive img {
    display: block;
    max-width: 100%;
    height: auto;
}

.content-img-responsive p[style*="text-align: center;"] img,
.content-img-responsive div[style*="text-align: center;"] img {
    margin-right: auto;
    margin-left: auto;
}

#map {
    height: 400px;
}

.cart-icon-container {
    color: green;
    position: fixed;
    bottom: 40px;
    right: 20px;
    z-index: 1000;
    /* Add more styling as needed (e.g., background, padding) */
}

.cart-icon-container .fa-shopping-cart {
    font-size: 24px; /* Adjust icon size as needed */
    /* Add more icon styling if needed */
}

.item-count {
    position: absolute;
    top: 0px;
    right: -10px;
    background-color: green;
    color: white;
    border-radius: 50%;
    width: 25px;
    height: 25px;
    text-align: center;
    line-height: 20px;
    font-size: 1.2em;
}

legend {
    border-top: 1px dotted silver;
    position: relative;
    /*background: #FD86A0;*/
    min-height: 1.5em;
    color: black;
    padding: 0.2em 0.4em;
    font-size: 1.2em;
    margin-bottom: 0.85em;
}

legend::after {
    content: '';
    position: absolute;
    right: 0;
    left: -0%;
    top: 100%;
    z-index: 10;
    display: block;
    height: 15px;
/*    background-size: 7px 100%;
    background-image: linear-gradient(135deg, #FD86A0 25%, transparent 25%), linear-gradient(225deg, #FD86A0 25%, transparent 25%);
    background-position: 0 0;*/
}
form .form-check, form .form-label, form input.form-control, form div.form-text {
    margin-left: 2em;
    width: 90%;
}

button#home-tab, button#selector-tab {
    max-width: 9em;
    min-height: 5em;
}

@media (min-width: 402px) {
    button#home-tab, button#selector-tab {
        max-width: 12em;
        min-height: 4em;
    }
}

button#home-tab {
    max-width: 7em;
    min-height: 5em;
}

@media (min-width: 402px) {
    button#home-tab, button#selector-tab {
        max-width: 12em;
        min-height: 4em;
    }
}

.accordion-item {
    /*background: linear-gradient(180deg, #f2f8fb 0%, #b1deff 100%);*/
    border-radius: 8px; /* Optional: adds rounded corners */
    margin-bottom: 10px; /* Adds space between items */
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.2); /* Optional: adds a subtle shadow for depth */
    padding: 10px; /* Optional: adds space inside the accordion item */
    border: none; /* Removes the default border */
}

.accordion-button.collapsed {
    /*background: linear-gradient(0deg, #ffffff 0%, #b1deff 100%);*/
    border-radius: 8px; /* Optional: adds rounded corners */
    margin-bottom: 10px; /* Adds space between items */
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.2); /* Optional: adds a subtle shadow for depth */
    padding: 10px; /* Optional: adds space inside the accordion item */
    border: none; /* Removes the default border */
}

.accordion-button {
    /*background: linear-gradient(0deg, #ffffff 0%, #ffffff 100%);*/
    border-radius: 8px; /* Optional: adds rounded corners */
    margin-bottom: 10px; /* Adds space between items */
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.2); /* Optional: adds a subtle shadow for depth */
    padding: 10px; /* Optional: adds space inside the accordion item */
    border: none; /* Removes the default border */
}

.form-check-input, .form-control {
    border: 2px solid black;
}

/*.ticket-button {

    text-decoration: none;
    font-size: 1em;
    font-weight: bold;
    transition: all 0.3s;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    !*min-width: 25em;*!
    text-align: left;
    --mask:
            conic-gradient(from 45deg at left,#0000,#000 1deg 89deg,#0000 90deg) left/51% 10.00px repeat-y,
            conic-gradient(from -135deg at right,#0000,#000 1deg 89deg,#0000 90deg) right/51% 10.00px repeat-y;
    -webkit-mask: var(--mask);
    mask: var(--mask);
    background: #000000 fixed;
    padding:0.5em 1.5em;
    margin-bottom:2em;
    color:white;
    opacity: 0.85;

    display: flex; !* Nastavení Flexboxu na tlačítku *!
    align-items: center; !* Vertikální zarovnání obsahu tlačítka *!
    justify-content: flex-start; !* Zarovnání obsahu na začátek *!
    gap: 0.3em; !* Přidání mezery mezi položkami *!
}

.ticket-button:hover {
    background-color: #f2f8fb;
    color: black;
}

.ticket-button i {
    margin-right: 10px;
}
.ticket-button span.price {
    background-color: #ffffff;
    color: black;
    padding: 0.6em 1.1em;
    border: 1px solid blue;
    width: auto;
    display: flex; !* Flexbox pro zarovnání elementů v řádce *!
    align-items: center; !* Vertikální zarovnání elementů *!
    gap: 0.0em; !* Mezera mezi jednotlivými prvky *!
}

.ticket-button span.price .count,
.ticket-button span.price .countButton {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2em; !* Fixní šířka všech prvků (plus, mínus i hodnota) *!
    height: 2em; !* Fixní čtvercová tlačítka a hodnota *!
    font-size: 1.2em; !* Velikost textu *!
    font-weight: bold;
}

.ticket-button span.price .countButton {
    background-color: #e0e0e0;
    border: 1px solid gray;
    cursor: pointer;
    user-select: none; !* Zabrání označení při kliknutí *!
}

.ticket-button span.price .countButton:hover {
    background-color: #d0d0d0; !* Barva na hover *!
}

.ticket-button span.price .count {
    border: 1px solid gray;
    background-color: #f8f8f8;
}
.ticket-button span.priceCategory {
    display: flex;
    align-items: center; !* Vertikální zarovnání *!
    justify-content: left; !* Horizontální zarovnání obsahu vlevo *!
    width: 15em;
    !*border: 1px solid red;*!
    padding: 0em;
    text-align: left;
    height: 2.8em; !* Stejná výška jako ostatní *!
    line-height: normal;
}*/

.cart-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap; /* Umožní zlomit prvky na další řádek */
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 15px;
    margin-bottom: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.cart-item .total-price {
    font-size: 16px;
    font-weight: bold;
    margin-left: 20px;
    color: #333;
    flex-shrink: 0; /* Zabrání přizpůsobení šířky */
}

/* Responzivní přizpůsobení */
@media (max-width: 768px) {
    .cart-item {
        justify-content: flex-start; /* Zajišťuje lepší uspořádání na malých zařízeních */
    }
    .cart-item .info {
        flex-basis: 100%; /* Info zabere celou šířku */
        margin-bottom: 10px;
    }
    .cart-item .total-price {
        margin-left: 0; /* Resetuje odsazení */
        flex-basis: 100%; /* Total price zabere celou šířku */
        text-align: right; /* Text zarovnaný doprava */
    }
    .cart-item .quantity-controls {
        margin-bottom: 10px; /* Vytvoří mezeru mezi řádky */
    }
}

.cart-item .info {
    flex: 1;
    display: flex;
    flex-direction: column;
    min-width: 6em;
}

.cart-item .info .title {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 5px;
}

.cart-item .info .unit-price {
    font-size: 14px;
    color: #666;
}

.cart-item .quantity-controls {
    display: flex;
    align-items: center;
    margin-right: 1em;
}

.cart-item .quantity-controls button {
    /*background-color: #6a6a6a;*/
    background-color: #ffffff;
    border: 1px solid black;

    width: 2em; /* Zajištění kruhu */
    height: 2em; /* Zajištění kruhu */
    display: flex; /* Flexbox pro vycentrování obsahu */
    align-items: center; /* Vertikální zarovnání */
    justify-content: center; /* Horizontální zarovnání */
    border-radius: 50%; /* Zaoblení pro kruh */
    cursor: pointer;
    color: #000000  ;
    font-weight: bold;
    margin: 0;
}
/*.cart-item .addToCart {
    border: 1px solid black;
}*/
/*.cart-item .addToCart:hover {
    background-color: #000000;
    color: #fff;
}*/
.cart-item .quantity-controls button:hover {
    background-color: #000000;
    color: #fff;
}

.cart-item .quantity-controls button:disabled,
.cart-item .quantity-controls button:disabled:hover {
    background-color: #ffffff;
    color: #000000;
    opacity: 0.5;
    cursor: not-allowed;
}

.cart-item .quantity-controls .quantity {
    width: 3em;
    text-align: center;
    margin: 0 5px;
    font-size: 16px;
    border: 1px solid #ddd;
    border-radius: 16px;
    padding: 7px 14px;
    color:black;
}

.cart-item .total-price button {
    min-width: 10em;
}

.tooltipster-base .tooltipster-box {
    background-color: #0d6efd !important;
}
